
makeoptions="BATCH=yes CC=/usr/local/bin/gcc12"

hostname=`hostname`

pkg install -y panda-cclient

cd /usr/ports/mail/panda-imap
make install ${makeoptions}
make cert

echo 'inetd_enable="YES"' >> /etc/rc.conf
echo 'sendmail_enable="YES"' >> /etc/rc.conf

# echo "pop3 stream tcp nowait root /usr/local/libexec/ipop3d ipop3d" >> /etc/inetd.conf
# echo "imap4 stream tcp nowait root /usr/local/libexec/imapd imapd" >> /etc/inetd.conf
echo "pop3s stream tcp nowait root /usr/local/libexec/ipop3d ipop3d" >> /etc/inetd.conf
echo "imaps stream tcp nowait root /usr/local/libexec/imapd imapd" >> /etc/inetd.conf

echo ${hostname} >> /etc/mail/local-host-names

newline=$'\n'
sed -i "" "1a\\${newline}sendmail : ALL : allow${newline}" /etc/hosts.allow
sed -i "" "1a\\${newline}ipop3d : 192.168.23.0\/255.255.255.0 : allow${newline}" /etc/hosts.allow
# sed -i "" "1a\\${newline}imapd : ALL : allow${newline}" /etc/hosts.allow

echo "" > /etc/mail/relay-domains

echo "me: jimmy" >> /etc/mail/aliases
echo "root: jimmy" >> /etc/mail/aliases
newaliases

# 若要能由 Gmail 收信，要申請網域名稱的 SSL 憑證，並將申請下載的三個憑證檔案合併成一個檔案 imapd.pem，
# 合併順序為 privkey.pem, cert.pem, fullchain.pem，然後將 imapd.pem 放到 /usr/local/certs/ 目錄中，重新啟動 inetd 服務
# Gmail 的設定，通訊埠：995，「擷取郵件時，一律使用安全連線 (SSL)。瞭解詳情」打勾。
# 使用上面的 make cert 來重建憑證，舊的憑證(ipop3d.pem)要先刪除

# kill -HUP `cat /var/run/inetd.pid`
# cat privkey.pem cert.pem fullchain.pem > imapd.pem

# 重啟服務
# cd /etc/mail
# make restart

# 重啓 inetd
# /etc/rc.d/inetd restart